@import '../../../../../../../styles/global/var';

jenkins-form {
    display: block;
}

.jenkins-form {
    margin-top: 46px;

    &__container {
        display: flex;
        max-width: 1078px;
        margin: 0 auto;
    }

    &__sidebar {
        flex: 1 1 37%;
        padding-right: 20px;
    }

    &__body {
        flex: 1 1 auto;
    }

    &__integrations {
        &-list {
            list-style: none;
            padding: 20px 0 0;
            margin: 0;
        }

        &-button {
            border-color: transparent;
            background-color: transparent;
            font-weight: 500;
            font-size: 14px;
            line-height: 24px;
            display: flex;
            align-items: center;
            padding: 8px;
            height: 40px;
            position: relative;
            width: 100%;
            max-width: 252px;
            margin-right: auto;

            &._active {
                cursor: default;
            }
            &:hover,
            &._active {
                &::before,
                &::after {
                    display: block;
                    content: "";
                    position: absolute;
                    background-color: $white;
                    z-index: -1;
                    border-radius: 4px;
                }
                &::before {
                    left: 0;
                    top: 0;
                    width: calc(100% - 20px);
                    height: 100%;
                }
                &::after {
                    right: -5px;
                    top: 50%;
                    width: 27px;
                    height: 27px;
                    transform: translate(-50%, -50%) rotate(45deg);
                }
            }

            &-icon {
                margin: 0 16px 0 0;
                font-size: 18px;
                line-height: 24px;

                &._enabled {
                    color: $green-new;
                }
            }
            &-text {
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
            }
        }
    }

    @media screen and (max-width: $screen-tablet-2) {
        &__container {
            display: block;
            max-width: 660px;
        }

        &__sidebar {
            padding-right: 0;
            padding-bottom: 40px;
            border-bottom: 1px solid $gray8be;
            margin-bottom: 40px;
        }
    }
}
